Subject: Re: [RESEND v2 3/4] doc/devicetree: Persistent memory region bindings

From: Balbir Singh <[email-masked]>
Date: Wed, 4 Apr 2018 22:07:50 +1000

On Tue, 3 Apr 2018 10:37:51 -0700
Dan Williams <[email-masked]> wrote:

> On Tue, Apr 3, 2018 at 7:24 AM, Oliver O'Halloran <[email-masked]> wrote:
> > Add device-tree binding documentation for the nvdimm region driver.
> >
> > Cc: [email-masked]
> > Signed-off-by: Oliver O'Halloran <[email-masked]>
> > ---
> > v2: Changed name from nvdimm-region to pmem-region.
> >     Cleaned up the example binding and fixed the overlapping regions.
> >     Added support for multiple regions in a single reg.
> > ---
> >  .../devicetree/bindings/pmem/pmem-region.txt       | 80 ++++++++++++++++++++++
> >  MAINTAINERS                                        |  1 +
> >  2 files changed, 81 insertions(+)
> >  create mode 100644 Documentation/devicetree/bindings/pmem/pmem-region.txt  
> 
> Device-tree folks, does this look, ok?
> 
> Oliver, is there any concept of a management interface to the
> device(s) backing these regions? libnvdimm calls these "nmem" devices
> and support operations like health status and namespace label
> management.

We would need a way to have nmem and pmem-regions find each other. Since we
don't have the ACPI abstractions, the nmem region would need to add the
ability for a driver to have a phandle to the interleaving and nmem properties.

I guess that would be a separate driver, that would manage the nmem devices
and there would be a way to relate the pmem and nmems. Oliver?

Balbir Singh.